# Interface WildcardType

All Superinterfaces:
  `AnnotatedConstruct`, `TypeMirror`

public interface WildcardType extends TypeMirror
Represents a wildcard type argument. Examples include:

       ?
       ? extends Number
       ? super T

A wildcard may have its upper bound explicitly set by an `extends` clause, its lower bound explicitly set by a `super` clause, or neither (but not both).

See Java Language Specification:
  4.5.1 Type Arguments of Parameterized Types
Since:
  1.6

## Method Summary

Modifier and Type
Method
Description
`TypeMirror`
`getExtendsBound()`
Returns the upper bound of this wildcard.
`TypeMirror`
`getSuperBound()`
Returns the lower bound of this wildcard.

### Methods declared in interface javax.lang.model.type.TypeMirror

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`

## Method Details

### getExtendsBound

TypeMirror getExtendsBound()
Returns the upper bound of this wildcard. If no upper bound is explicitly declared, `null` is returned.

Returns:
  the upper bound of this wildcard

### getSuperBound

TypeMirror getSuperBound()
Returns the lower bound of this wildcard. If no lower bound is explicitly declared, `null` is returned.

Returns:
  the lower bound of this wildcard